%define	major		0
%define libname		%mklibname powerman  %{major}
%define develname	%mklibname powerman -d

Summary:	Power to the Cluster
Name:		powerman
Version:	2.3.26
Release:	%mkrel 2
Group:		System/Servers
License:	GPLv2+
URL:		https://github.com/chaos/powerman
Source0:	https://github.com/chaos/%{name}/releases/download/%{version}/%{name}-%{version}.tar.gz
Patch0:		powerman-2.3.26-var_run-to-run.patch
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	genders-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	net-snmp-devel
BuildRequires:	readline-devel
BuildRequires:	tcp_wrappers-devel

Requires(post):	systemd >= %{systemd_required_version}
Requires(post):	rpm-helper
Requires(pre):	rpm-helper
Requires(preun):  rpm-helper
Requires(postun): rpm-helper

%description
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

%package -n	%{libname}
Summary:	PowerMan library
Group:          System/Libraries

%description -n	%{libname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

%package -n	%{develname}
Summary:	Static library and header files for the PowerMan library
Group:		Development/C
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
PowerMan is a tool for manipulating remote power control (RPC) devices from a
central location. Several RPC varieties are supported natively by PowerMan and
Expect-like configurability simplifies the addition of new devices.

This package contains the static genders library and its header files.

%prep
%autosetup -p1

%build
%configure \
    --disable-static \
    --with-snmppower \
    --with-httppower \
    --with-genders \
    --with-ncurses \
    --with-user=powerman \
    --with-systemdsystemunitdir=%{_unitdir}

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete

# get rid of execute bit on powerman script files to fix rpmlint errror
chmod -x %{buildroot}%{_sysconfdir}/%{name}/*

# don't package this for now
rm -rf %{buildroot}%{_libdir}/stonith

%pre
%_pre_useradd powerman /var/empty /bin/sh

%postun
%_postun_userdel powerman

%post
%_tmpfilescreate %{name}
%_post_service powerman

%preun
%_preun_service powerman

%files
%doc ChangeLog DISCLAIMER COPYING NEWS TODO
%{_unitdir}/%{name}.service
%dir %ghost %attr(0755, powerman, powerman) %{_rundir}/powerman
%ghost %attr(0660, -, -) %{_rundir}/%{name}/powermand.pid
%{_bindir}/powerman
%{_bindir}/pm
%{_sbindir}/plmpower
%{_sbindir}/powermand
%{_sbindir}/httppower
%{_sbindir}/snmppower
%{_sbindir}/vpcd
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_tmpfilesdir}/%{name}.conf
%{_mandir}/man*/*

%files -n %{libname}
%doc COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Nov 03 2020 akien <akien> 2.3.26-2.mga8
+ Revision: 1642099
- Rebuild for new libnetsnmp
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Mar 06 2020 daviddavid <daviddavid> 2.3.26-1.mga8
+ Revision: 1554380
- new version: 2.3.26
- switch to systemd
- use upstream tmpfiles
- switch temporary dir from /var/run to /run/powerman
- make sure pid files and /run/powerman folder are removed when uninstalled

* Fri Feb 14 2020 umeabot <umeabot> 2.3.25-2.mga8
+ Revision: 1522705
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 07 2019 daviddavid <daviddavid> 2.3.25-1.mga7
+ Revision: 1363758
- new version: 2.3.25

* Sat Dec 29 2018 luigiwalser <luigiwalser> 2.3.24-4.mga7
+ Revision: 1346033
- rebuild for net-snmp

* Sun Sep 23 2018 umeabot <umeabot> 2.3.24-3.mga7
+ Revision: 1300358
- Mageia 7 Mass Rebuild

* Wed Jul 25 2018 wally <wally> 2.3.24-2.mga7
+ Revision: 1245296
- fix build on aarch64

* Sat Jan 06 2018 daviddavid <daviddavid> 2.3.24-1.mga7
+ Revision: 1190799
- new version: 2.3.24
- do not package static libraries
- update URL and Source URL

* Fri Feb 05 2016 umeabot <umeabot> 2.3.9-8.mga6
+ Revision: 938085
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.3.9-7.mga5
+ Revision: 744069
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.9-6.mga5
+ Revision: 687749
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.3.9-5.mga4
+ Revision: 522663
- Mageia 4 Mass Rebuild

* Sun Mar 24 2013 colin <colin> 2.3.9-4.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 2.3.9-3.mga3
+ Revision: 378466
- add tmpfiles config for /run/powerman
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 08 2011 tv <tv> 2.3.9-1.mga2
+ Revision: 141606
- new release
- new URL
- BuildRequires: net-snmp-devel
- enable snmppower

* Thu Mar 03 2011 ennael <ennael> 2.3.5-3.mga1
+ Revision: 63391
- add version in configure.ac (thanks rtp)
- clean spec file
- imported package powerman

